### Method

# AppStream Validator validate_data

#### Declaration [src]

    gboolean
    as_validator_validate_data (
      AsValidator* validator,
      const gchar* metadata
    )

#### Description [src]

Validate AppStream XML data.

#### Parameters

`metadata`

  Type: `const gchar*`

  XML metadata.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if data validated successfully.